class OffersProductsRequestModel {
  final int categoryId;
  final int storeId;
  final int limit;
  // final int page;
  int sinceId;

  OffersProductsRequestModel({this.categoryId, this.limit = 50, this.storeId});

  Map<String, String> toFlatMap() {
    return {

      if(limit != null && limit > 0)
        "limit": limit.toString(),

      // if(page != null && page > 0)
      //   "page": page.toString(),

      if(categoryId != null && categoryId > 0)
        "categoryId": categoryId.toString(),

      if(storeId != null && storeId > 0)
        "store_id": storeId.toString(),

      "sinceId": sinceId != null ? sinceId.toString() : "0",
    };
  }
}
